/*
	Abbiamo causato un danno al database...
*/

-- La connessione al database fallisce
USE CDays;
GO

-- Il database risulta in RECOVERY
SELECT name, state_desc FROM sys.databases
GO

-- Coda del t-log
BACKUP LOG CDays TO DISK = '\\W2K12\Backup\CDays.bak' WITH NO_TRUNCATE;
GO

/*
	A questo punto potrei buttare via il database e iniziare il processo di ripristino
	FULL + T-Log + T-Log tail
	...ma c' di meglio... :-)
*/

-- Mettere offline il file danneggiato
ALTER DATABASE CDays MODIFY FILE ( NAME = 'CDays_E', OFFLINE );
GO

-- Portare online il database
ALTER DATABASE CDays SET ONLINE;
GO

-- Adesso il database  accessibile (in parte)
USE CDays;
GO

SELECT physical_name, state_desc FROM sys.database_files
GO

SELECT * FROM dbo.Speaker;
GO

SELECT * FROM dbo.Sessioni;
GO

USE master;
GO

RESTORE DATABASE CDays FILE = 'CDays_E' FROM DISK = '\\W2K12\Backup\CDays.bak' WITH NORECOVERY;
RESTORE LOG CDays FROM DISK = '\\W2K12\Backup\CDays.bak' WITH FILE = 2, NORECOVERY;
RESTORE LOG CDays FROM DISK = '\\W2K12\Backup\CDays.bak' WITH FILE = 3, RECOVERY;
GO

USE CDays;
GO

SELECT physical_name, state_desc FROM sys.database_files
GO

USE master;
GO

BACKUP LOG CDays TO DISK = '\\W2K12\Backup\CDays.bak' WITH NO_TRUNCATE;
RESTORE LOG CDays FROM DISK = '\\W2K12\Backup\CDays.bak' WITH FILE = 4, RECOVERY
GO

USE CDays;
GO

SELECT * FROM dbo.Sessioni;
GO

