/*
	Mirror backup: vengono prodotte n copie del backup 
	Stripe backup: il backup viene suddiviso su n file
*/

USE master;
GO

--Mirrored Backup
BACKUP DATABASE CDays TO DISK = '\\W2K12\Backup\CDaysMIRR1.bak'
	MIRROR TO DISK = '\\W2K12\Backup\CDaysMIRR2.bak'
	MIRROR TO DISK = '\\W2K12\Backup\CDaysMIRR3.bak'
WITH INIT, FORMAT, CHECKSUM;
GO

--Uno qualunque  sufficiente per il restore
RESTORE DATABASE CDays_FromMirror FROM DISK = '\\W2K12\Backup\CDaysMirr2.bak'
WITH MOVE 'CDays' TO 'D:\Denali\MSSQL11.MSSQLSERVER\MSSQL\DATA\CDays_FromMirror.mdf', 
     MOVE 'CDays_A' TO 'D:\Denali\MSSQL11.MSSQLSERVER\MSSQL\DATA\CDays_FromMirror_A.ndf', 
     MOVE 'CDays_B' TO 'D:\Denali\MSSQL11.MSSQLSERVER\MSSQL\DATA\CDays_FromMirror_B.ndf', 
     MOVE 'CDays_C' TO 'D:\Denali\MSSQL11.MSSQLSERVER\MSSQL\DATA\CDays_FromMirror_C.ndf', 
     MOVE 'CDays_D' TO 'D:\Denali\MSSQL11.MSSQLSERVER\MSSQL\DATA\CDays_FromMirror_D.ndf', 
     MOVE 'CDays_E' TO 'D:\Denali\MSSQL11.MSSQLSERVER\MSSQL\DATA\CDays_FromMirror_E.ndf', 
     MOVE 'CDays_F' TO 'D:\Denali\MSSQL11.MSSQLSERVER\MSSQL\DATA\CDays_FromMirror_F.ndf', 
     MOVE 'CDays_log' TO 'D:\Denali\MSSQL11.MSSQLSERVER\MSSQL\DATA\CDays_FromMirror_log.ldf', 
     FILE = 1, 
     RECOVERY;
GO


--Stripe Set
BACKUP DATABASE CDays TO DISK = '\\W2K12\Backup\CDaysStripe1.bak',
	DISK = '\\W2K12\Backup\CDaysStripe2.bak',
	DISK = '\\W2K12\Backup\CDaysStripe3.bak'
WITH INIT, FORMAT, CHECKSUM;
GO

--Tutti servono per il restore
RESTORE DATABASE CDays_FromStripe FROM DISK = '\\W2K12\Backup\CDaysStripe1.bak',
	DISK = '\\W2K12\Backup\CDaysStripe2.bak',
	DISK = '\\W2K12\Backup\CDaysStripe3.bak'
WITH MOVE 'CDays' TO 'D:\Denali\MSSQL11.MSSQLSERVER\MSSQL\DATA\CDays_FromStripe.mdf', 
     MOVE 'CDays_A' TO 'D:\Denali\MSSQL11.MSSQLSERVER\MSSQL\DATA\CDays_FromStripe_A.ndf', 
     MOVE 'CDays_B' TO 'D:\Denali\MSSQL11.MSSQLSERVER\MSSQL\DATA\CDays_FromStripe_B.ndf', 
     MOVE 'CDays_C' TO 'D:\Denali\MSSQL11.MSSQLSERVER\MSSQL\DATA\CDays_FromStripe_C.ndf', 
     MOVE 'CDays_D' TO 'D:\Denali\MSSQL11.MSSQLSERVER\MSSQL\DATA\CDays_FromStripe_D.ndf', 
     MOVE 'CDays_E' TO 'D:\Denali\MSSQL11.MSSQLSERVER\MSSQL\DATA\CDays_FromStripe_E.ndf', 
     MOVE 'CDays_F' TO 'D:\Denali\MSSQL11.MSSQLSERVER\MSSQL\DATA\CDays_FromStripe_F.ndf', 
     MOVE 'CDays_log' TO 'D:\Denali\MSSQL11.MSSQLSERVER\MSSQL\DATA\CDays_FromStripe_log.ldf', 
     FILE = 1, 
     RECOVERY;
GO

