/* 
	Verifichiamo la data dell'ultimo backup di ogni database. 
*/

SELECT d.name,
	MAX(CASE b.type WHEN 'D' THEN b.backup_finish_date ELSE NULL END) AS last_full,
	MAX(CASE b.type WHEN 'I' THEN b.backup_finish_date ELSE NULL END) AS last_diff,
	MAX(CASE b.type WHEN 'L' THEN b.backup_finish_date ELSE NULL END) AS last_tlog
FROM master.sys.databases d LEFT JOIN msdb.dbo.backupset b 
	ON d.name = b.database_name 
GROUP BY d.name
ORDER BY 2 DESC


/*
	DB in RM <> SIMPLE senza backup del tlog
*/

SELECT d.name, d.recovery_model, d.recovery_model_desc
FROM master.sys.databases d LEFT JOIN msdb.dbo.backupset b 
	ON d.name = b.database_name 
		AND b.type = 'L'
WHERE d.recovery_model IN (1, 2) 
	AND b.type IS NULL 
	AND d.database_id NOT IN (2, 3)


/*
	History nell'msdb
*/

SELECT backup_start_date, *
FROM msdb.dbo.backupset
ORDER BY 1 ASC

--Facciamo pulizia
DECLARE @data DATE
SET @data = DATEADD(month, -4, GETDATE())
EXEC msdb..sp_delete_backuphistory  @oldest_date = @data

/*
	Altre info utili
*/

SELECT * FROM master.sys.databases
SELECT * FROM msdb.dbo.backupfile
SELECT * FROM msdb.dbo.backupfilegroup
SELECT * FROM msdb.dbo.backupmediafamily
SELECT * FROM msdb.dbo.backupmediaset
SELECT * FROM msdb.dbo.backupset
